This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #4070 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 15.11.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy. |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, CAST, CAST5, RC2, RC4, RC5, DES, Triple-DES, TripleDES, TDES, TDEA, IDEA, Camellia, SEED, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, DH, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512, SHA224, SHA-3, MD4, MD5, PBKDFSchemes
MAC, Key Exchange, Key AgreementProtocols
SSH, TLS, TLS v1.3, TLS v1.0, TLSv1.2, DTLS, IKE, IKEv2Randomness
DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521, P-224, P-192Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XEX, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_RSA_WITH_AES_128_CCM, TLS_RSA_WITH_AES_256_CCM, TLS_DHE_RSA_WITH_AES_128_CCM, TLS_DHE_RSA_WITH_AES_256_CCM, TLS_RSA_WITH_AES_128_CCM_8, TLS_RSA_WITH_AES_256_CCM_8, TLS_DHE_RSA_WITH_AES_128_CCM_8, TLS_DHE_RSA_WITH_AES_256_CCM_8Trusted Execution Environments
SSCSecurity level
level 1Side-channel analysis
Timing Attacks, timing attacksAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4070,
"dgst": "634bce1b71598aee",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#A792",
"KAS-SSC#A807",
"RSA#A781",
"AES#A795",
"AES#A791",
"KTS#A793",
"ECDSA#A779",
"CVL#A779",
"KAS#A780",
"#A787",
"KAS-SSC#A779",
"CVL#A780",
"#A791",
"#A785",
"#A786",
"KAS-SSC#A780",
"ECDSA#A780",
"KTS#A782",
"AES#A785",
"DRBG#A795",
"ECDSA#A781",
"HMAC#A779",
"DSA#A779",
"Triple-DES#A793",
"RSA#A780",
"DSA#A781",
"CVL#A782",
"KAS#A779",
"HMAC#A781",
"SHS#A781",
"DSA#A782",
"RSA#A779",
"SHS#A779",
"HMAC#A780",
"#A789",
"DSA#A780",
"KAS#A782",
"KAS#A781",
"CVL#A781",
"SHS#A780",
"AES#A784",
"KAS-SSC#A781",
"AES#A786",
"AES#A787",
"DRBG#A792",
"RSA#A782",
"#A797",
"#A779",
"KAS#A807",
"AES#A794",
"ECDSA#A782",
"KTS#A780",
"KTS#A779",
"#A780",
"#A807",
"#A783",
"#A781",
"AES#A790",
"#A784",
"#A790",
"DRBG#A797",
"#A795",
"#A788",
"AES#A789",
"AES#A788",
"AES#A783",
"#A782",
"HMAC#A782",
"#A792",
"SHS#A782",
"#A794",
"#A793",
"DRBG#A786",
"KAS-SSC#A782",
"KTS#A781"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDSA": {
"ECDSA": 32
}
},
"FF": {
"DH": {
"DH": 2
},
"DSA": {
"DSA": 40
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 9
},
"CCM": {
"CCM": 6
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 14
},
"OFB": {
"OFB": 2
},
"XEX": {
"XEX": 1
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 45
}
},
"crypto_protocol": {
"IKE": {
"IKE": 5,
"IKEv2": 2
},
"SSH": {
"SSH": 1
},
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 72,
"TLS v1.0": 2,
"TLS v1.3": 2,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 8
},
"KEX": {
"Key Exchange": 3
},
"MAC": {
"MAC": 10
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 6,
"P-224": 8,
"P-256": 12,
"P-384": 8,
"P-521": 8
}
},
"eval_facility": {
"atsec": {
"atsec": 40
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES GCM 128": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 2,
"HMAC 128": 2,
"HMAC 192": 2,
"HMAC SHA-1": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 4,
"HMAC-SHA-256": 6,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"PKCS#1": 4,
"RSA PKCS#1": 2,
"SHA- 256": 2,
"SHA- 384": 1,
"SHA-1": 14,
"SHA-224": 19,
"SHA-256": 30,
"SHA-3": 1,
"SHA-384": 21,
"SHA-512": 14,
"SHA-512 1024": 3,
"SHA-512 112": 1,
"SHA-512 2048": 3,
"SHA1": 2,
"SHA224": 2,
"SHS 4": 1
}
},
"fips_security_level": {
"Level": {
"level 1": 3
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 5
}
},
"PBKDF": {
"PBKDF": 11
},
"SHA": {
"SHA1": {
"SHA-1": 14,
"SHA1": 2
},
"SHA2": {
"SHA-224": 19,
"SHA-256": 30,
"SHA-384": 21,
"SHA-512": 21,
"SHA224": 2
},
"SHA3": {
"SHA-3": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 34
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 51,
"FIPS 186-4": 4,
"FIPS PUB 140-2": 2,
"FIPS180-4": 2,
"FIPS186-4": 15,
"FIPS197": 2,
"FIPS198-1": 2,
"FIPS202": 1
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC2246": 4,
"RFC3268": 7,
"RFC3526": 5,
"RFC4253": 1,
"RFC4279": 4,
"RFC4346": 1,
"RFC4492": 7,
"RFC5116": 1,
"RFC5246": 8,
"RFC5288": 8,
"RFC5289": 8,
"RFC5487": 1,
"RFC5489": 1,
"RFC6655": 9,
"RFC7251": 1,
"RFC7296": 2,
"RFC7919": 4
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 57,
"AES-": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 2
},
"CAST": {
"CAST": 2,
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2,
"RC5": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 38,
"TripleDES": 1
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 11,
"HMAC": 28,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 3,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
},
"miscellaneous": {
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {
"IBM": {
"SSC": 2
}
},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM": 1,
"TLS_DHE_RSA_WITH_AES_128_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM": 1,
"TLS_DHE_RSA_WITH_AES_256_CCM_8": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_CCM": 1,
"TLS_RSA_WITH_AES_128_CCM_8": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_CCM": 1,
"TLS_RSA_WITH_AES_256_CCM_8": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#A792",
"KAS-SSC#A807",
"RSA#A781",
"AES#A795",
"AES#A791",
"KTS#A793",
"ECDSA#A779",
"CVL#A779",
"KAS#A780",
"KAS-SSC#A779",
"CVL#A780",
"KAS-SSC#A780",
"ECDSA#A780",
"KTS#A782",
"AES#A785",
"DRBG#A795",
"ECDSA#A781",
"HMAC#A779",
"DSA#A779",
"Triple-DES#A793",
"RSA#A780",
"DSA#A781",
"CVL#A782",
"KAS#A779",
"HMAC#A781",
"SHS#A781",
"DSA#A782",
"RSA#A779",
"SHS#A779",
"HMAC#A780",
"DSA#A780",
"KAS#A782",
"KAS#A781",
"CVL#A781",
"SHS#A780",
"AES#A784",
"KAS-SSC#A781",
"AES#A786",
"AES#A787",
"DRBG#A792",
"RSA#A782",
"KAS#A807",
"AES#A794",
"ECDSA#A782",
"KTS#A780",
"KTS#A779",
"AES#A790",
"DRBG#A797",
"AES#A789",
"AES#A788",
"AES#A783",
"HMAC#A782",
"SHS#A782",
"DRBG#A786",
"KAS-SSC#A782",
"KTS#A781"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A787",
"#A791",
"#A785",
"#A786",
"#A789",
"#A797",
"#A779",
"#A780",
"#A807",
"#A783",
"#A781",
"#A784",
"#A790",
"#A795",
"#A788",
"#A782",
"#A792",
"#A794",
"#A793"
]
},
"policy_metadata": {
"/Author": "Traci Porter",
"/CreationDate": "D:20210903092740-05\u002700\u0027",
"/Creator": "Writer",
"/Keywords": "FIPS 140-2",
"/Producer": "OpenOffice 4.1.10",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 446396,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.ietf.org/rfc/rfc2246.txt",
"https://tools.ietf.org/html/rfc7251.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://www.ietf.org/rfc/rfc3268.txt%20",
"https://www.ietf.org/rfc/rfc4492.txt%20",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-67r1.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://tools.ietf.org/html/rfc7296",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"https://tools.ietf.org/html/rfc5487.txt",
"http://csrc.nist.gov/",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38b.pdf",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://tools.ietf.org/html/rfc3526",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://www.ietf.org/rfc/rfc4346.txt%20",
"https://tools.ietf.org/html/rfc5288.txt",
"https://www.ietf.org/rfc/rfc5116.txt%20",
"https://www.ietf.org/rfc/rfc4279.txt%20",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://tools.ietf.org/html/rfc5489.txt",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"https://tools.ietf.org/html/rfc5246.txt%20",
"https://tools.ietf.org/html/rfc6655.txt",
"https://tools.ietf.org/html/rfc7919",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "9a32db743defa0a8af013ee6fa69d20b8d415af0696f535b8c999ced253ee912",
"source_hash": "b2d9ec1dd8702281e3fe7e6ba06a7e847ca936f856d8662736e280f50bbae0e7",
"txt_hash": "2c2f1dcf6fd4f75d2649d7667ca6da100381ada66b157cecd8afcb469d96aad5"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2021_011221_0923_signed.pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.1",
"tested_conf": [
"SUSE Linux Enterprise Server 12 SP5 running on FUJITSU Server PRIMERGY RX4770 M5 with Intel Cascade Lake Xeon Platinum 8268 with PAA",
"SUSE Linux Enterprise Server 12 SP5 running on FUJITSU Server PRIMERGY RX4770 M5 with Intel Cascade Lake Xeon Platinum 8268 without PAA",
"SUSE Linux Enterprise Server 12 SP5 running on IBM z13 with z13 with PAI",
"SUSE Linux Enterprise Server 12 SP5 running on IBM z13 with z13 without PAI (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-11-15",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}